﻿@using AdminCaja.Models
@model AdminCaja.ViewModel.TramitesViewModel

@{
    Procedure tramite = null;
}

<section class="search-filters">

    <div class="container-fluid">
        <!-- Test de Filtros -->
        <div class="news-filters clearfix">
            <div class="wrapper">
                <ul>
                    <li>
                        <div class="select-style">
                            <div class="dropdown show blue-select">
                                @{
                                    var tipocliente = "1. Seleccione Tipo de Cliente";

                                    if (Model.SelectedTipoCliente != 0)
                                    {
                                        tipocliente = Model.TiposCliente.Where(x => x.Value == Model.SelectedTipoCliente.ToString()).FirstOrDefault()?.Text;
                                    }
                                }
                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    @tipocliente
                                </a>

                                <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                                    @foreach (var item in Model.TiposCliente)
                                    {
                                        <a class="dropdown-item" href="#" onclick="getFiltros(@item.Value, 0, 0)">@item.Text</a>
                                    }
                                </div>
                            </div>
                        </div>
                    </li>

                    <li>
                        <div class="select-style">
                            <div class="dropdown show blue-select">
                                @{
                                    var tipotramite = "2. Tipo de Trámite";

                                    if (Model.SelectedTipoTramite != 0)
                                    {
                                        tipotramite = Model.TiposTramite.Where(x => x.Value == Model.SelectedTipoTramite.ToString()).FirstOrDefault()?.Text;
                                    }
                                }

                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    @tipotramite
                                </a>

                                <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                                    @foreach (var item in Model.TiposTramite)
                                    {
                                        <a class="dropdown-item" href="#" onclick="getFiltros(@Model.SelectedTipoCliente, @item.Value, 0)">@item.Text</a>
                                    }
                                </div>
                            </div>
                        </div>
                    </li>

                    <li>
                        <div class="select-style ">
                            <div class="dropdown show blue-select">
                                @{
                                    var tramiteSelect = "3. Trámite";

                                    if (Model.SelectedTramite != 0)
                                    {
                                        tramite = Model.Tramites.Where(x => x.Id == Model.SelectedTramite).FirstOrDefault();
                                        tramiteSelect = tramite.Name;
                                    }
                                }

                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    @tramiteSelect
                                </a>

                                <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                                    @foreach (var item in Model.Tramites)
                                    {
                                        <a class="dropdown-item" href="#" title="@item.Name" onclick="getFiltros(@Model.SelectedTipoCliente,@Model.SelectedTipoTramite, @item.Id)">@item.Name</a>
                                    }
                                </div>
                            </div>
                        </div>
                    </li>
                </ul>

            </div>
        </div>
        <!-- Test de Filtros End -->
    </div>
</section>

<section class="inner-content p-t-20">
    <div class="container-fluid">
        <div class="row">
            @if (tramite != null)
            {
                <div class="col-md-8">
                    <h2 class="inner-content-title">@tramite.Name</h2>
                    <p>
                        <span class="tramite-pregunta">¿Qué es? ¿De qué se trata?</span><br>
                        @tramite.WhatIsIt
                    </p>

                    <p>
                        <span class="tramite-pregunta">¿Para quién es? </span><br>
                        @tramite.ForWhom
                    </p>
                    <p>
                        <span class="tramite-pregunta">¿Cómo realizar el trámite?</span><br>
                        @tramite.HowTo
                    </p>
                    <h3 class="inner-content-title">Presentación del trámite:</h3>

                    <ul class="listado-bullets">
                        <li>
                            Presenta en los Sectores indicados debajo el formulario correspondiente (según el tipo de transferencia a realizar) completo y firmado por una persona autorizada a tales efectos ante CVSA.
                        </li>
                    </ul>
                    <p>
                        <span class="tramite-pregunta">¿Dónde iniciar el trámite?</span><br>
                        @tramite.WhereIs
                    </p>
                    <p>
                        <span class="tramite-pregunta">Área/Sector responsable</span><br>
                        @tramite.Area
                    </p>
                </div>

                <div class="col-md-4">
                    <div class="panel tab-descargables">
                        <h3>Descargar Formularios Asociados</h3>
                        <div class="container-tramites">
                            @foreach (var item in tramite.Files.Where(x => x.Type == ProcedureFileType.form).OrderBy(x => x.Order))
                            {
                                <a href="@item.Path" target="_blank" class="btn-doc">
                                    <b>F-32707.04</b> - @item.Name
                                </a>
                            }
                        </div>
                        <a href="javascript:void(0);" class="expand-button btn btn-outline m-b-60">Mostrar más<i class="icon-chevron-down"></i></a>

                        <h3>Descargar  Documentación Adicional</h3>
                        @foreach (var item in tramite.Files.Where(x => x.Type == ProcedureFileType.document).OrderBy(x => x.Order))
                        {
                            <a href="@item.Path" target="_blank" class="btn-doc">
                                <b>F-32707.04</b> - @item.Name
                            </a>
                        }
                    </div>
                </div>
            }
        </div>
    </div>
</section>

